<app-checkbox-list 
  v-model="data.${editor.name}" 
  :data="data" 
  :context="context"
  :viewparams="viewparams" 
  :disabled="detailsModel.${editor.name}.disabled" 
  :itemParam="<#if item.getEditorParam('ITEMPARAM','') != ''>${item.getEditorParam('ITEMPARAM','')}<#else>{}</#if>" 
  <#if editor.getPSCodeList()??>
  <#assign codelist=editor.getPSCodeList()>
  tag='${codelist.codeName}' 
  codelistType='${codelist.getCodeListType()}' 
  <#if codelist.valueSeparator?has_content>
  valueSeparator="${codelist.valueSeparator}"
  </#if>  
  mode="${codelist.getOrMode()?lower_case}"
  </#if> 
  name="${editor.name}" 
  style="${editor.getEditorCssStyle()}">
</app-checkbox-list>